Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.portlet.context
Class PortletWebRequest

    java.lang.Object
      org.springframework.web.context.request.AbstractRequestAttributes
          org.springframework.web.portlet.context.PortletRequestAttributes
              org.springframework.web.portlet.context.PortletWebRequest

All Implemented Interfaces:
  RequestAttributes, WebRequest

    public class PortletWebRequest

extends PortletRequestAttributes
implements WebRequest

`WebRequest` adapter for a `PortletRequest`.

Since:
  2.0
Author:
  Juergen Hoeller

Field Summary

Fields inherited from class org.springframework.web.context.request.AbstractRequestAttributes
`requestDestructionCallbacks`

Fields inherited from interface org.springframework.web.context.request.RequestAttributes
`SCOPE_GLOBAL_SESSION, SCOPE_REQUEST, SCOPE_SESSION`

Constructor Summary
`PortletWebRequest(PortletRequest request)` Create a new PortletWebRequest instance for the given request.

Method Summary
`String` | `getContextPath()` Return the context path for this request (usually the base path that the current web application is mapped to).
`Locale` | `getLocale()` Return the primary Locale for this request.
`String` | `getParameter(String paramName)` Return the request parameter of the given name, or `null` if none.
`Map` | `getParameterMap()` Return a immutable Map of the request parameters, with parameter names as map keys and parameter values as map values.
`String[]` | `getParameterValues(String paramName)` Return the request parameter values for the given parameter name, or `null` if none.
`String` | `getRemoteUser()` Return the remote user for this request, if any.
`Principal` | `getUserPrincipal()` Return the user principal for this request, if any.
`boolean` | `isSecure()` Return whether this request has been sent over a secure transport mechanism (such as SSL).
`boolean` | `isUserInRole(String role)` Determine whether the user is in the given role for this request.

Methods inherited from class org.springframework.web.portlet.context.PortletRequestAttributes
`getAttribute, getRequest, getSession, getSessionId, getSessionMutex, registerDestructionCallback, removeAttribute, setAttribute, updateAccessedSessionAttributes`

Methods inherited from class org.springframework.web.context.request.AbstractRequestAttributes
`registerRequestDestructionCallback, removeRequestDestructionCallback, requestCompleted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.springframework.web.context.request.RequestAttributes
`getAttribute, getSessionId, getSessionMutex, registerDestructionCallback, removeAttribute, setAttribute`

Constructor Detail

### PortletWebRequest

    public PortletWebRequest(PortletRequest request)

  Create a new PortletWebRequest instance for the given request.

  Parameters:
    `request` - current portlet request

Method Detail

### getParameter

    public String getParameter(String paramName)

  Description copied from interface: `WebRequest`
  Return the request parameter of the given name, or `null` if none.

  Retrieves the first parameter value in case of a multi-value parameter.

  Specified by:
    `getParameter` in interface `WebRequest`
  See Also:
    `ServletRequest.getParameter(String)`

### getParameterValues

    public String[] getParameterValues(String paramName)

  Description copied from interface: `WebRequest`
  Return the request parameter values for the given parameter name, or `null` if none.

  A single-value parameter will be exposed as an array with a single element.

  Specified by:
    `getParameterValues` in interface `WebRequest`
  See Also:
    `ServletRequest.getParameterValues(String)`

### getParameterMap

    public Map getParameterMap()

  Description copied from interface: `WebRequest`
  Return a immutable Map of the request parameters, with parameter names as map keys and parameter values as map values. The map values will be of type String array.

  A single-value parameter will be exposed as an array with a single element.

  Specified by:
    `getParameterMap` in interface `WebRequest`
  See Also:
    `ServletRequest.getParameterMap()`

### getLocale

    public Locale getLocale()

  Description copied from interface: `WebRequest`
  Return the primary Locale for this request.

  Specified by:
    `getLocale` in interface `WebRequest`
  See Also:
    `ServletRequest.getLocale()`

### getContextPath

    public String getContextPath()

  Description copied from interface: `WebRequest`
  Return the context path for this request (usually the base path that the current web application is mapped to).

  Specified by:
    `getContextPath` in interface `WebRequest`
  See Also:
    `HttpServletRequest.getContextPath()`

### getRemoteUser

    public String getRemoteUser()

  Description copied from interface: `WebRequest`
  Return the remote user for this request, if any.

  Specified by:
    `getRemoteUser` in interface `WebRequest`
  See Also:
    `HttpServletRequest.getRemoteUser()`

### getUserPrincipal

    public Principal getUserPrincipal()

  Description copied from interface: `WebRequest`
  Return the user principal for this request, if any.

  Specified by:
    `getUserPrincipal` in interface `WebRequest`
  See Also:
    `HttpServletRequest.getUserPrincipal()`

### isUserInRole

    public boolean isUserInRole(String role)

  Description copied from interface: `WebRequest`
  Determine whether the user is in the given role for this request.

  Specified by:
    `isUserInRole` in interface `WebRequest`
  See Also:
    `HttpServletRequest.isUserInRole(String)`

### isSecure

    public boolean isSecure()

  Description copied from interface: `WebRequest`
  Return whether this request has been sent over a secure transport mechanism (such as SSL).

  Specified by:
    `isSecure` in interface `WebRequest`
  See Also:
    `ServletRequest.isSecure()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.